{ config, lib, ... }:
{
  imports = [ ./nginx ];

  config = lib.mkIf config.services.hedgedoc.enable {
    services.hedgedoc.settings = {
      domain = "hedgedoc.${config.vars.primeDomain}";
      port = 8001; 
      host = "127.0.0.1";
      protocolUseSSL = true;
      allowOrigin = [
        "localhost"
        config.services.hedgedoc.settings.domain
      ];
    };

    environment.persistence."/persist".directories = [ "/var/lib/hedgedoc" ];
  };
}
